searchNodes=[{"doc":"Module to Convert Currencies. CurrencyConversion is a wrapper around the currency conversion. We can define an implementation as follows: defmodule MyApp.CurrencyConversion do use CurrencyConversion , otp_app : :my_app end Where the configuration for the Converter must be in your application environment, usually defined in your config/config.exs : config :my_app , MyApp.CurrencyConversion , source : MyApp.CurrencyConversion.Source.CustomSource If your application was generated with a supervisor (by passing --sup to mix new ) you will have a lib/my_app/application.ex file containing the application start callback that defines and starts your supervisor. You just need to edit the start/2 function to start the converter as a supervisor on your application's supervisor: def start ( _type , _args ) do children = [ { MyApp.CurrencyConversion , [ ] } ] opts = [ strategy : :one_for_one , name : MyApp.Supervisor ] Supervisor . start_link ( children , opts ) end","ref":"CurrencyConversion.html","title":"CurrencyConversion","type":"behaviour"},{"doc":"Convert from currency A to B. Example iex&gt; convert ( Money . new ( 7_00 , :CHF ) , :USD ) % Money { amount : 7_03 , currency : :USD }","ref":"CurrencyConversion.html#c:convert/2","title":"CurrencyConversion.convert/2","type":"callback"},{"doc":"Get all currencies Examples iex&gt; get_currencies ( ) [ :EUR , :CHF , :USD , ... ]","ref":"CurrencyConversion.html#c:get_currencies/0","title":"CurrencyConversion.get_currencies/0","type":"callback"},{"doc":"Get current exchange rates Examples iex&gt; get_rates ( ) % CurrencyConversion.Rates { base : :EUR , rates : %{ AUD : 1.4205 , BGN : 1.9558 , ... } }","ref":"CurrencyConversion.html#c:get_rates/0","title":"CurrencyConversion.get_rates/0","type":"callback"},{"doc":"Refresh exchange rates Examples iex&gt; refresh_rates ( ) :ok","ref":"CurrencyConversion.html#c:refresh_rates/0","title":"CurrencyConversion.refresh_rates/0","type":"callback"},{"doc":"This is the CurrencyConversion.Rates struct.","ref":"CurrencyConversion.Rates.html","title":"CurrencyConversion.Rates","type":"module"},{"doc":"Defines a Currency DataSet Values base - Defines the base currency (all other currencies are derived from the base currency) Type: atom Example: :CHF rates Type: %{atom =&gt; float} Example: %{CHF: 1.23, EUR: 1.132} Examples iex&gt; % CurrencyConversion.Rates { base : :EUR , rates : %{ AUD : 1.4205 , BGN : 1.9558 } } % CurrencyConversion.Rates { base : :EUR , rates : %{ AUD : 1.4205 , BGN : 1.9558 } }","ref":"CurrencyConversion.Rates.html#__struct__/0","title":"CurrencyConversion.Rates.__struct__/0","type":"function"},{"doc":"","ref":"CurrencyConversion.Rates.html#t:t/0","title":"CurrencyConversion.Rates.t/0","type":"type"},{"doc":"Behaviour for all currency rate sources.","ref":"CurrencyConversion.Source.html","title":"CurrencyConversion.Source","type":"behaviour"},{"doc":"","ref":"CurrencyConversion.Source.html#c:load/1","title":"CurrencyConversion.Source.load/1","type":"callback"},{"doc":"Currency Conversion Source for http://exchangeratesapi.io/ Please add jason and httpotion to your deps in your mix.exs to use this source. def deps do [ { :currency_conversion , &quot;~&gt; 0.3&quot; } , { :jason , &quot;~&gt; 1.1&quot; } , { :httpotion , &quot;~&gt; 3.1&quot; } ] end","ref":"CurrencyConversion.Source.ExchangeRatesApi.html","title":"CurrencyConversion.Source.ExchangeRatesApi","type":"module"},{"doc":"Load current currency rates from exchangeratesapi.io. Examples iex&gt; CurrencyConversion.Source.ExchangeRatesApi . load ( [ ] ) { :ok , % CurrencyConversion.Rates { base : :EUR , rates : %{ AUD : 1.4205 , BGN : 1.9558 , BRL : 3.4093 , CAD : 1.4048 , CHF : 1.0693 , CNY : 7.3634 , CZK : 27.021 , DKK : 7.4367 , GBP : 0.85143 , HKD : 8.3006 , HRK : 7.48 , HUF : 310.98 , IDR : 14316.0 , ILS : 4.0527 , INR : 72.957 , JPY : 122.4 , KRW : 1248.1 , MXN : 22.476 , MYR : 4.739 , NOK : 8.9215 , NZD : 1.4793 , PHP : 53.373 , PLN : 4.3435 , RON : 4.4943 , RUB : 64.727 , SEK : 9.466 , SGD : 1.5228 , THB : 37.776 , TRY : 4.1361 , USD : 1.07 , ZAR : 14.31 } } }","ref":"CurrencyConversion.Source.ExchangeRatesApi.html#load/1","title":"CurrencyConversion.Source.ExchangeRatesApi.load/1","type":"function"},{"doc":"Currency Conversion Source for http://fixer.io/ Please add jason and httpotion to your deps in your mix.exs to use this source. def deps do [ { :currency_conversion , &quot;~&gt; 0.3&quot; } , { :jason , &quot;~&gt; 1.1&quot; } , { :httpotion , &quot;~&gt; 3.1&quot; } ] end","ref":"CurrencyConversion.Source.Fixer.html","title":"CurrencyConversion.Source.Fixer","type":"module"},{"doc":"Load current currency rates from fixer.io. Examples iex&gt; CurrencyConversion.Source.Fixer . load ( [ ] ) { :ok , % CurrencyConversion.Rates { base : :EUR , rates : %{ AUD : 1.4205 , BGN : 1.9558 , BRL : 3.4093 , CAD : 1.4048 , CHF : 1.0693 , CNY : 7.3634 , CZK : 27.021 , DKK : 7.4367 , GBP : 0.85143 , HKD : 8.3006 , HRK : 7.48 , HUF : 310.98 , IDR : 14316.0 , ILS : 4.0527 , INR : 72.957 , JPY : 122.4 , KRW : 1248.1 , MXN : 22.476 , MYR : 4.739 , NOK : 8.9215 , NZD : 1.4793 , PHP : 53.373 , PLN : 4.3435 , RON : 4.4943 , RUB : 64.727 , SEK : 9.466 , SGD : 1.5228 , THB : 37.776 , TRY : 4.1361 , USD : 1.07 , ZAR : 14.31 } } }","ref":"CurrencyConversion.Source.Fixer.html#load/1","title":"CurrencyConversion.Source.Fixer.load/1","type":"function"},{"doc":"Currency Conversion Source for Tests","ref":"CurrencyConversion.Source.Test.html","title":"CurrencyConversion.Source.Test","type":"module"},{"doc":"Load current currency rates from config. Examples iex&gt; CurrencyConversion.Source.Test . load ( [ ] ) { :ok , % CurrencyConversion.Rates { base : :EUR , rates : %{ AUD : 1.4205 , BGN : 1.9558 , BRL : 3.4093 , CAD : 1.4048 , CHF : 1.0693 , CNY : 7.3634 , CZK : 27.021 , DKK : 7.4367 , GBP : 0.85143 , HKD : 8.3006 , HRK : 7.48 , HUF : 310.98 , IDR : 14316.0 , ILS : 4.0527 , INR : 72.957 , JPY : 122.4 , KRW : 1248.1 , MXN : 22.476 , MYR : 4.739 , NOK : 8.9215 , NZD : 1.4793 , PHP : 53.373 , PLN : 4.3435 , RON : 4.4943 , RUB : 64.727 , SEK : 9.466 , SGD : 1.5228 , THB : 37.776 , TRY : 4.1361 , USD : 1.07 , ZAR : 14.31 } } }","ref":"CurrencyConversion.Source.Test.html#load/1","title":"CurrencyConversion.Source.Test.load/1","type":"function"}]